- UID
- 71826
- 积分
- 0
- 精华
- 贡献
-
- 威望
-
- 活跃度
-
- D豆
-
- 在线时间
- 小时
- 注册时间
- 2003-8-12
- 最后登录
- 1970-1-1
|
马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。
您需要 登录 才可以下载或查看,没有账号?立即注册
×
各位大哥,小弟刚学vba编程,想做这样的一个程序,应该如何做?
将外部的一个程序作为外部参照加入到当前图纸中,同时在图纸插入的位置进行UCS登录
输入过程如下:
①外部参照文件名的输入
②插入原点的输入
③插入X坐标轴上的点的输入
④插入Y坐标轴上的点的输入
程序进行的操作
1.在插入位置上进行UCS设定
2.在设定的ucs的XY平面上插入dwg外部参照
下面是我写的一些程序
这段程序用来设定ucs坐标,可是每回都一样,高手们快来看看到底出了什么问题?
- Set oPoint = ThisDrawing.Utility.GetPoint(, "原点:")
- If Err Then
- Exit Do
- End If
-
- Set xPoint = ThisDrawing.Utility.GetPoint(, "X坐标轴上的点:")
- If Err Then
- Exit Do
- End If
-
- Set ypoint = ThisDrawing.Utility.GetPoint(, "Y坐标轴上的点:")
- If Err Then
- Exit Do
- End If
-
- Set xAxisVector = Library.CreateVector(xPoint.x, xPoint.y, xPoint.z, oPoint.x, oPoint.y, oPoint.z)
- Set yAxisVector = Library.CreateVector(ypoint.x, ypoint.y, ypoint.z, oPoint.x, oPoint.y, oPoint.z)
- Set ucsObj = ThisDrawing.UserCoordinateSystems.Add(oPoint, xAxisVector, yAxisVector,"TEST_NAME")
- ThisDrawing.ActiveUCS = ucsObj
- ThisDrawing.ActiveViewport.UCSIconOn = True
- ThisDrawing.ActiveViewport.UCSIconAtOrigin = True
复制代码
这段程序是帮助文件上的一段程序,为什么我用来插入的外部参照看不见?是不是我忽略了什么
- Private Sub AddXRef_Example()
- ' This example adds an external reference using the MAP.DWG file
- ' found in the Samples folder. You may need to change the path and
- ' filename for your system.
-
- Dim insPt As IntelliCAD.Point
- Dim insertedXRef As IntelliCAD.ExternalReference
- Dim msg As String, PathName As String, XrefName As String
- XrefName = InputBox("Type an XRef name")
- Set insPt = Library.CreatePoint(1, 1, 0)
- PathName = "c:\program files\ProgeSOFT IntelliCAD\Samples\map.dwg"
- ' Add the external reference to the drawing
- Set insertedXRef = ThisDocument.ModelSpace.AttachExternalReference(PathName, XrefName, insPt, 1, 1, 1, 0, False)
- MsgBox "The external reference '" & XrefName & "' is attached."
- End Sub
|
|